Skip to main content
POST
/
v1
/
master-wallets
/
{masterId}
/
signing
/
transaction
Sign a transaction using a master wallet
curl --request POST \
  --url https://api.xentfi.com/v1/master-wallets/{masterId}/signing/transaction \
  --header 'Content-Type: application/json' \
  --header 'apiKey: <api-key>' \
  --header 'orgId: <api-key>' \
  --data '
{
  "blockchainId": "<string>",
  "signablePayload": {
    "data": "<string>",
    "to": "<string>",
    "value": "<string>"
  }
}
'
{
  "data": {
    "signature": "<string>",
    "signedTransaction": "<string>",
    "txHash": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required
orgId
string
header
required

Path Parameters

masterId
string
required

Body

application/json
blockchainId
string
required
signablePayload
object
required

Response

Transaction signed successfully

data
object